subtle - Bug #304

Strange spacing for sublets
09/22/2012 12:24 AM - René Neumann

Status: Fixed Start date: 09/22/2012
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 0%
Category: Bugfix Estimated time: 0.00 hour
Target version: Omicron

Description

It seems like the spacing of sublets is sometimes calculated in a strange way. For example the clock is not shown completly (see
http://data.necoro.eu/subtle_spacing.png ). On different resolutions | have to experiment with different min_width values to get it
working -- but this is not the way it should be, as the panel is empty...

Configuration attached.

Btw - the clock is also cut off, if the tray is populated...

History

#1 - 09/22/2012 12:17 PM - Christoph Kappel

Tried this specific font in any other window? subtle uses the font metrics to define width and it works with almost all fonts. It just fails when the font
specs are kind of broken.

#2 - 09/25/2012 06:13 PM - René Neumann
It seems like the problem is triggered when a sublet (here ‘clock’) uses a font different from the rest.

For example when | defined the font to be "Arial-8" for style :all and then explicitly set the font for the clock to be "Arial Black-8", parts of the clock
vanished.

(This is just an example and not my real usage. But | expect the Arial family to be non-broken and they differ enough to show the error.)

#3 - 12/30/2017 06:11 PM - Christoph Kappel

- Target version set to Omicron

#4 - 12/30/2017 06:12 PM - Christoph Kappel
- Category set to Bugfix
- Status changed from Unconfirmed to Fixed

- Assignee set to Non member users

Well, | cannot see and x-offset problems here in the current version. There was still a y-offset problem, when the fonts of panel items differs.
